# TODO: Add comment
# 
# Author: pv1
###############################################################################

`SampleMADsUnix` <- function(sample_ids, GAMfiles, regions_file) {
	
	sortx = read.table(file=regions_file, header=TRUE); 
	allX = data.frame(seq(1:length(sortx[,1])), sortx); names(allX) = c("rowcount", "chr","start","end","GC","dG","Tm");
	
	# Separate Autosomes and X,Y
	allXS = allX[allX[,2] != 'Y',]; allXS = allXS[allXS[,2] != 'X',]; # Autosomes only - remove X and Y ######
	nrow_auto = nrow(allXS); rm(allX); gc();
	
	# Read read depth from each sample's files
	allXD = lapply(GAMfiles, function(x) read.table(pipe(paste("cut -f4 ",x,"| head -n",nrow(allXS),sep="")), header=FALSE, check.names=FALSE, colClasses=c("numeric"), nrows=nrow(allXS), comment.char="", sep="\t")[,1])
	allXS = data.frame(allXS,do.call('cbind',allXD)); names(allXS)[8:ncol(allXS)] = sample_ids; 
	rm(allXD); gc();
	
	SampleMads = apply(allXS[,8:ncol(allXS)],2,mad,constant=1);
	rm(sortx);  rm(allXS); # Cleanup
	gc();
	return(SampleMads);
	
}
